%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/google/trillian
Version:                1.4.2

%gometa

%global common_description %{expand:
Trillian is an implementation of the concepts described in the Verifiable Data
Structures white paper, which in turn is an extension and generalisation of the
ideas which underpin Certificate Transparency.

Trillian implements a Merkle tree whose contents are served from a data storage
layer, to allow scalability to extremely large trees.}

%global golicenses      LICENSE
%global godocs          docs examples CONTRIBUTING.md AUTHORS CHANGELOG.md\\\
                        CONTRIBUTORS README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Transparent, highly scalable and cryptographically verifiable data store

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
tar -xzf %{SOURCE1}


%generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d client/rpcflags \
         -t cmd \
         -d server \
         -d storage/testdb \
         -d util/election \
         -d quota/redis/redistb \
         -d crypto
%endif

%gopkgfiles

%changelog
* Thu Sep 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-1
- initial build
